CoCoALib - Feature #1788

New MatrixView/function "FirstRows/FirstCols"?
08 Mar 2024 10:11 - Anna Maria Bigatti

Status: Closed Start date: 08 Mar 2024
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 100%
Category: New Function Estimated time: 4.00 hours
Target version: CoCoALib-0.99850 Spent time: 2.00 hours

Description

I went through all the calls of submat in CoCoALib (not so many) and indeed most of them just select the first rows.

Should we have another MatrixView class called FirstRows(M, long r)?
Or, much easier to implement, a function called FirstRows(M, long r)?

(same for cols)

The implementation of a new MatrixView could be quite a bit simpler than the implementation of submat, but problably not worth the

effort and "duplication” of code.

2024-03 implemented as functions calling submat

Related issues:

Related to CoCoALib - Design #64: submat takes only vector<long> Closed 15 Dec 2011
Related to CoCoALib - Feature #312: LongRange(a,b) returning vector of long a... Closed 14 Feb 2013
Related to CoCoALib - Feature #202: MatrixView/function for viewing a single ... Closed 04 Jul 2012

History

#1 - 08 Mar 2024 10:12 - Anna Maria Bigatti

- Related to Design #64: submat takes only vector<long> added

#2 - 08 Mar 2024 10:12 - Anna Maria Bigatti
- Related to Feature #312: LongRange(a,b) returning vector of long a..b (included) added

#3 - 08 Mar 2024 10:13 - Anna Maria Bigatti

- Related to Feature #202: MatrixView/function for viewing a single row or column (RowMat, ColMat) added

#4 - 08 Mar 2024 17:07 - Anna Maria Bigatti

- Subject changed from New MatrixView "FirstRowsCols"? to New MatrixView/function "FirstRows/FirstCols"?
- Description updated

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 20

#5 - 08 Mar 2024 17:08 - Anna Maria Bigatti

After personal discussion, we agreed on new function (until we believe a new class would be considerably better)

#6 - 08 Mar 2024 17:09 - Anna Maria Bigatti

- Category changed from Data Structures to New Function

#7 - 20 Mar 2024 15:26 - Anna Maria Bigatti

- Status changed from New to Feedback

- Target version changed from CoCoALib-0.99880 to CoCoALib-0.99850
- % Done changed from 20 to 90
| liked this too much and | did it.
Called in some lib/5 tests, called by GradingMat.

Easy enough. should not need more testing than this.

Missing only documentation.

#8 - 20 Mar 2024 15:26 - Anna Maria Bigatti

- Description updated
#9 - 20 Mar 2024 15:53 - Anna Maria Bigatti
- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Added documentation for CoCoALib/5.
